subroutine DERIVS(t)
use work
! Calculeaza membrii II ai ec. dif. de ordinul I
implicit real(8) (a-h,o-z)
real(8) k


! Ecuatie non-rigida:
! x' =u
! u' =-k*x -c*u;
! k =100; c =2;

!ff(1) =x(2)
!ff(2) =-k*x(1) -c*x(2)
! x -> xEnd

k =param%k
c =param%k1

f(1) =xEnd(2)
f(2) =- k*xEnd(1) -c*xEnd(2)


END subroutine DERIVS

